=== debian/changelog ===
ros-foxy-octomap-server (2.0.0-1focal) focal; urgency=high

  * ROS2 Migration (#95 <https://github.com/octomap/octomap_mapping/issues/95>)
  * Contributors: Daisuke Nishimatsu, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-foxy-octomap-server (0.6.7-1focal) focal; urgency=high

  * Address warnings on Noetic (#81 <https://github.com/octomap/octomap_mapping/issues/81>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-foxy-octomap-server (0.6.6-1focal) focal; urgency=high

  * Update CI, package format, dependencies to address dependency issue on Debian Buster (#79 <https://github.com/OctoMap/octomap_mapping/issues/79>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-octomap-server (0.6.5-1focal) focal; urgency=high

  * Add color server nodelet (#68 <https://github.com/OctoMap/octomap_mapping/issues/68>, #67 <https://github.com/OctoMap/octomap_mapping/issues/67>)
  * Updated maintainer email
  * Contributors: clunietp, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-foxy-octomap-server (0.6.4-1focal) focal; urgency=high

  * Add private node handle to fix nodelet support (#61 <https://github.com/OctoMap/octomap_mapping/issues/61>), fixes #39 <https://github.com/OctoMap/octomap_mapping/issues/39>
  * Add octomap_server_color library by default (#60 <https://github.com/OctoMap/octomap_mapping/issues/60>) - by Matthew Powelson
  * Check if part of a voxel is in occupancy range (#59 <https://github.com/OctoMap/octomap_mapping/issues/59>) - by Jasper v. B.
  * Contributors: Matthew Powelson, Wolfgang Merkt, Jasper v. B.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 08 Jan 2020 00:00:00 -0000

ros-foxy-octomap-server (0.6.3-1focal) focal; urgency=high

  * Fix compilation on Debian Stretch
  * Get rgb from point cloud iterator without byte shift
  * Contributors: Kentaro Wada, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 28 Jan 2019 00:00:00 -0000

ros-foxy-octomap-server (0.6.2-1focal) focal; urgency=high

  * Update maintainer email (Wolfgang Merkt)
  * Change catkin_package DEPENDS to OCTOMAP to avoid CMake warning
  * Update maintainer email (Arming Hornung)
  * Update to use non deprecated pluginlib macro
  * Fixed memory leak of colors pointer if COLOR_OCTOMAP_SERVER defined
  * Contributors: Armin Hornung, Mikael Arguedas, Ronky, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 27 Jan 2019 00:00:00 -0000

ros-foxy-octomap-server (0.6.1-1focal) focal; urgency=high

  * Fix for Colored Octomap: Use PCLPoint everywhere
    Fixes compiler error when enabling the define
    for color.
  * Fixed maxRange bug in OctomapServer.cpp for clearing
  * Adjust maintainer email
  * Contributors: Armin Hornung, Brandon Kinman, Felix Endres

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 18 Oct 2016 23:00:00 -0000

ros-foxy-octomap-server (0.6.0-1focal) focal; urgency=high

  * Add sensor model parameters to dynamic_reconfigure
  * Load map file from rosparam
  * Add x and y filter for pointcloud
  * Preparations for ColorOctomapServer (compile option, from source)
  * Fix iterator in OctomapServer
  * TrackingOctomapServer: Publish node center rather than index, prevent from publishing empty cloud
  * Contributors: Armin Hornung, Javier V. Gomez, JJeremie Deray, MasakiMurooka, Shohei Fujii, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 25 Mar 2016 00:00:00 -0000

ros-foxy-octomap-server (0.5.3-1focal) focal; urgency=high

  * Fixing PCL linking errors on build farm

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 09 Jan 2014 00:00:00 -0000

ros-foxy-octomap-server (0.5.2-1focal) focal; urgency=high

  * Fixing PCL linking errors on build farm

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 09 Jan 2014 00:00:00 -0000

ros-foxy-octomap-server (0.5.1-1focal) focal; urgency=high

  * Fix missing nodelet plugin from install

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 25 Nov 2013 00:00:00 -0000

ros-foxy-octomap-server (0.5.0-1focal) focal; urgency=high

  * Small fix in octomap_server_static usage
  * Catkinization, remove support for arm_navigation

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 23 Oct 2013 23:00:00 -0000

ros-foxy-octomap-server (0.4.9-1focal) focal; urgency=high

  * cleanup of unused functions
  * Parameters, reading .bt files in octomap_server_static
  * added simple octomap_server_static node to serve OctoMaps from .ot files (no scan integration)
  * Fix for incremental 2D projection map updates (thx to B.Coenen for the report)
  * Publish free space as MarkerArray and CollisionMap (set parameter ~publish_free_space=True to enable). Thx to I. Wieser!
  * renamed OctomapServer's NodeHandle constructor parameter to be more clear, added the same to OctomapServerMultilayer

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 26 Jun 2013 23:00:00 -0000

ros-foxy-octomap-server (0.4.8-1focal) focal; urgency=high

  * Applied patch from issue #7 <https://github.com/OctoMap/octomap_mapping/issues/7>: Nodelet version of octomap_server
    Modified to not change the global namespace
  * fixes for cmake / catkin
  * fixed octomap_server for OctoMap 1.5 (deprecations), adjusted to new msg format
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Jan 2013 00:00:00 -0000

ros-foxy-octomap-server (0.4.6-1focal) focal; urgency=high

  * Added NodeHandle parameter to OctomapServerMultilayer constructor
  * Commited patch #7 <https://github.com/OctoMap/octomap_mapping/issues/7>, contributed by M. Liebhardt: Nodelet version of the octomap server

